Summary:        Python Utils is a module with some convenient utilities
Name:           python-utils
Version:        3.7.0
Release:        2%{?dist}
License:        BSD
URL:            https://github.com/WoLpH/python-utils
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  python3-devel python3-pytest
BuildRequires:  python3-pytest-asyncio

BuildArch:      noarch

%description
Python Utils is a collection of small Python functions and classes which
make common patterns shorter and easier. It is by no means a complete
collection but it has served me quite a bit in the past and I will keep
extending it.

%package -n     python3-utils
Summary:        Python Utils is a module with some convenient utilities

%description -n python3-utils
Python Utils is a collection of small Python functions and classes which
make common patterns shorter and easier. It is by no means a complete
collection but it has served me quite a bit in the past and I will keep
extending it.

%prep
%autosetup -p1 -n %{name}-%{version}

sed -Ei '/--(cov|mypy)/d' pytest.ini

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files python_utils

%check
# not package python3-loguru, so ignore test_logger.py and python_utils/loguru.py
%pytest --ignore _python_utils_tests/test_logger.py --ignore python_utils/loguru.py

%files -n python3-utils -f %{pyproject_files}
%doc README.rst

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.7.0-2
- Rebuilt for loongarch release

* Thu Sep 21 2023 Wang Guodong <gordonwwang@tencent.com> - 3.7.0-1
- Upgrade to version 3.7.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.0-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Sep 14 2022 Shuo Wang <abushwang@tencent.com> - 3.1.0-1
- initial build

